"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const apollo_server_koa_1 = require("apollo-server-koa");
exports.ApolloServer = apollo_server_koa_1.ApolloServer;
exports.gql = apollo_server_koa_1.gql;
exports.makeExecutableSchema = apollo_server_koa_1.makeExecutableSchema;
const koa_1 = __importDefault(require("koa"));
const koa_mount_1 = __importDefault(require("koa-mount"));
// export all the scalars
__export(require("./scalars"));
// this allows producing a middleware from a server,
// when the actual applyMiddleware function requires
// the app up front...
async function createGraphQLMiddleware(server, config, getRequestContext) {
    const app = new koa_1.default();
    const prevOptions = server.createGraphQLServerOptions.bind(server);
    server.createGraphQLServerOptions = async (ktx) => {
        const ctx = getRequestContext(ktx);
        const opts = await prevOptions(ktx);
        return { ...opts, context: { ctx } };
    };
    await server.applyMiddleware({
        app,
        ...config
    });
    return koa_mount_1.default("/", app);
}
exports.createGraphQLMiddleware = createGraphQLMiddleware;
//# sourceMappingURL=index.js.map