import { GraphQLScalarType } from "graphql";
export declare type Currency = {
    (n: number): Money;
    readonly code: string;
    readonly digits: number;
    format(n: number): string;
};
export declare type Money = {
    currency: Currency;
    value: number;
};
export declare const customMoneyScalar: (currencyList: Currency[], defaultCurrency?: Currency) => GraphQLScalarType;
export declare const createCurrency: (code: string, digits?: number) => Currency;
export declare const Currencies: {
    GBP: Currency;
    EUR: Currency;
    USD: Currency;
    CAD: Currency;
    CHF: Currency;
    JPY: Currency;
    IQD: Currency;
    XAU: Currency;
};
export declare const MoneyScalar: GraphQLScalarType;
